/*
  Reads a sensor value connected to the analog port 1 of an
  AIport shield, then shows the value in the serial monitor.
*/

#include <FreeSensors.h>

FSdirect SH1;
FSaiport SH3;
FSanInput SEN;
FSserial SER;
int value;

void setup() {
    SH1.begin();
    SH1.connect(SER, SER1);
    SH3.begin();
    SH3.connect(SEN, AI1);
}

void loop() {
    value = SEN.readRawValue();
    SER.writeString("sensor = "+String(value));
    delay(100);
}
