/*
  Test of AI modules with a "Direct" shield
  The program do the following:
  Reads continuosly the AI1 port,
    if AI1 value < 100 lights led DIO3
    if AI1 value > 900 lights led DIO4
*/

#include <FreeSensors.h>

FSdirect SHD;
FSanInput SENS;
FSdigOutput LED3;
FSdigOutput LED4;
int value;

void setup() {
    SHD.begin();
    SHD.connect(SENS, AI1);
    SHD.connect(LED3, DIO3);
    SHD.connect(LED4, DIO4);
}

void loop() {
    value = SENS.readRawValue();
    LED3.writeValue(value<100);
    LED4.writeValue(value>900);
    delay(100);
}
