/*
  FSport.h - FreeSensors library for Arduino.
  Copyright (C) 2019 Mario A. Guerra. All rights reserved.
  This file is part of FreeSensors, licensed under GNU GPL version 3.
*/

#ifndef _FSport_h
#define _FSport_h

enum fsPortType {
    fptUNDEF = 0,
    fptDIO   = 1,    // gray
    fptDIOF  = 2,    // gray
    fptAI    = 3,    // blue
    fptAO    = 4,    // brown
    fptDC    = 5,    // red
    fptSER   = 6,    // yellow
    fptI2C   = 7,    // green
    fptSPI   = 8     // white
};

class FSport {
    public:
        int jack;
        fsPortType type;
        int pin;
        bool connected;
        FSport();
};

#endif
