/*
  Reads values of 8 analog sensors connected to an AIport shield
  and shows the read values in the Arduino IDE serial monitor.
*/

#include <FreeSensors.h>

FSdirect SH1;
FSaiport SH3;
FSanInput SEN[8];
FSserial SER;
String auxS;
int valor;
int i;

void setup() {
    SH1.begin();
    SH1.connect(SER, SER1);
    SH3.begin();
    for (i=0; i<8; i++) {
        SH3.connect(SEN[i], i+1);
    }
}

void loop() {
    auxS = "sensors = ";
    for (i=0; i<8; i++) {
        valor = SEN[i].readRawValue();
        auxS = auxS + String(valor) + "\t";
        delay(20);
    }
    SER.writeString(auxS);
}
