/*
  Test of the FreeSensors "Direct" shield
  The program do the following: during one second,
  - Activates the four digital ports (we can connect LEDs for example)
  - Reads the four analog inputs and show the values on the serial monitor
  Then makes a 0.5 second pause and repeats the cycle.
*/

#include <FreeSensors.h>

FSdirect SHD;
FSdigOutput OUT[4];
FSanInput SEN[4];
FSserial SER;
String auxS;
int value;
int i;

void setup() {
    SHD.begin();
    for (i=0; i<4; i++) {
        SHD.connect(OUT[i], i+1);
        SHD.connect(SEN[i], i+1);
    }
    SHD.connect(SER, SER1);
}

void loop() {
    for (i=0; i<4; i++) {
        OUT[i].writeValue(HIGH);
    }
    auxS = "Sensors = ";
    for (i=0; i<4; i++) {
        value = SEN[i].readRawValue();
        auxS = auxS + String(value) + "  ";
        delay(30);
    }
    SER.writeString(auxS);
    delay(900);
    for (i=0; i<4; i++) {
        OUT[i].writeValue(LOW);
    }
    delay(500);
}
