/*
  Test of DI modules with a "Direct" shield
  The program do the following:
  Read continuosly DIO1 port,
     if DIO1 = LOW  lights led DIO3
     if DIO1 = HIGH lights led DIO4
*/

#include <FreeSensors.h>

FSdirect SHD;
FSdigInput PULS;
FSdigOutput LED3;
FSdigOutput LED4;
bool value;

void setup() {
    SHD.begin();
    SHD.connect(PULS, DIO1);
    SHD.connect(LED3, DIO3);
    SHD.connect(LED4, DIO4);
}

void loop() {
    value = PULS.readValue();
    LED3.writeValue( !value );
    LED4.writeValue( value );
    delay(100);
}
