/*
  Read a potentiometer value connected to the analog port 1 of
  a Direct shield, then shows the value in the serial monitor.
*/

#include <FreeSensors.h>

FSdirect SHD;
FSanInput POT;
FSserial SER;
int value;

void setup() {
    SHD.begin();
    SHD.connect(POT, AI1);
    SHD.connect(SER, SER1);
}

void loop() {
    value = POT.readRawValue();
    SER.writeString("pote = " + String(value));
    delay(100);
}
