/*
  Test for the Steppers connected to a Motor shield :
  The program set the speed at 10 rpm in the first port and
  then makes a blocking move of 5 turns forward and then
  5 turns backward. At this speed the overall loop
  should last 60 seconds.
*/

#include <FreeSensors.h>

FSmotor SH2;
FSstepMotor STP1;

void setup() {
    SH2.begin();
    STP1.connect(SH2, AO1);
    STP1.setSpeed(10);
}

void loop() {
    STP1.moveTurns(5);
    STP1.moveTurns(-5);
}
