/*
  FSanInput.h - FreeSensors library for Arduino.
  Copyright (C) 2019 Mario A. Guerra. All rights reserved.
  This file is part of FreeSensors, licensed under GNU GPL version 3.
*/

#ifndef _FSanInput_h
#define _FSanInput_h

#include "FSmodule.h"

class FSanInput : public FSmodule {
    public:
        FSanInput();
        void begin();
        float readValue();
        int readRawValue();
        int readRawAverage(byte nTimes);
};

#endif
