/*
  FSanOutput.cpp - FreeSensors library for Arduino.
  Copyright (C) 2019 Mario A. Guerra. All rights reserved.
  This file is part of FreeSensors, licensed under GNU GPL version 3.
*/

#include "FSanOutput.h"

FSanOutput::FSanOutput() {
    mtype = fmtAO;
}

void FSanOutput::begin() {
    // There is no need to call pinMode to set the pin as output
    // before calling analogWrite of Arduino
}

void FSanOutput::writeValue(byte value) {
    toShield->writePwmValue(getPortJack(), value);
}
