/*
  FSdigInput.h - FreeSensors library for Arduino.
  Copyright (C) 2019 Mario A. Guerra. All rights reserved.
  This file is part of FreeSensors, licensed under GNU GPL version 3.
*/

#ifndef _FSdigInput_h
#define _FSdigInput_h

#include "FSmodule.h"

class FSdigInput : public FSmodule {
    public:
        FSdigInput();
        void begin();
        bool readValue();
        bool readDebounced(byte nTimes);
};

#endif
