/*
  FSdigOutput.cpp - FreeSensors library for Arduino.
  Copyright (C) 2019 Mario A. Guerra. All rights reserved.
  This file is part of FreeSensors, licensed under GNU GPL version 3.
*/

#include "FSdigOutput.h"

FSdigOutput::FSdigOutput() {
    mtype = fmtDO;
}

void FSdigOutput::begin() {
    toShield->setPinMode(getPortJack(), OUTPUT);
}

void FSdigOutput::writeValue(byte value) {
    toShield->writeDigitalValue(getPortJack(), value);
}
