/*
  FSdisplayLCD.h - FreeSensors library for Arduino
  Copyright (C) 2018 Mario A. Guerra. All rights reserved.
  License: GNU GPL v3 http://www.gnu.org/licenses/gpl.html

  Display LCD for FreeSensors:
*/

#ifndef _FSdisplayLCD_h
#define _FSdisplayLCD_h

#include <Wire.h>
#include "FSi2c.h"

class FSdisplayLCD : public FSi2c {
    private:
        // Inicia LCD en la dirección 0x27, con 16 caracteres y 2 líneas
        // (todavia no incorporado a libreria FS)
        // LiquidCrystal_I2C lcd_int = LiquidCrystal_I2C(0x27, 16, 2);
    public:
        FSdisplayLCD();
        void begin();
        void initialize();
        void writeString(String data);
        void writeLine1(String data);
        void writeLine2(String data);
};

#endif
