/*
  FSdisplayOled.cpp - FreeSensors library for Arduino
  Copyright (C) 2018 Mario A. Guerra. All rights reserved.
  License: GNU GPL v3 http://www.gnu.org/licenses/gpl.html
*/

#include "FSdisplayOled.h"

#define GM009605_Address  0x3C

FSdisplayOled::FSdisplayOled() {
    mtype = fmtI2C;
    defaultAddr = GM009605_Address;
}

void FSdisplayOled::begin() {
    attach(defaultAddr);
    initialize();
}

void FSdisplayOled::initialize() {
}
