/*
  FSdisplayOled.h - FreeSensors library for Arduino
  Copyright (C) 2018 Mario A. Guerra. All rights reserved.
  License: GNU GPL v3 http://www.gnu.org/licenses/gpl.html

  Display OLED for FreeSensors:
  based on SSD1306 oled driver for monochrome 128x64 OLED
  Copyright Adafruit - BSD License
*/

#ifndef _FSdisplayOled_h
#define _FSdisplayOled_h

#include <Wire.h>
#include "FSi2c.h"

class FSdisplayOled : public FSi2c {
    public:
        FSdisplayOled();
        void begin();
        void initialize();
};

#endif
