/*
  FSserial.h - FreeSensors library for Arduino.
  Copyright (C) 2019 Mario A. Guerra. All rights reserved.
  This file is part of FreeSensors, licensed under GNU GPL version 3.
*/

#ifndef _FSserial_h
#define _FSserial_h

#include "FSmodule.h"

class FSserial : public FSmodule {
    private:
        byte jack;
    public:
        FSserial();
        void begin();
        void begin(long speed);
        bool attached();
        bool dataAvailable();
        byte readByte();
        void writeByte(byte data);
        String readString();
        void writeString(String data);
};

#endif
