/*
  FSspiport.h - FreeSensors library for Arduino.
  Copyright (C) 2019 Mario A. Guerra. All rights reserved.
  This file is part of FreeSensors, licensed under GNU GPL version 3.
*/

#ifndef _FSspiport_h
#define _FSspiport_h

#include "FSshield.h"

class FSspiport : public FSshield {
    public:
        FSspiport();
        void begin();
        #include "nonFSdioCapable.inc"
        #include "nonFSaoCapable.inc"
        #include "nonFSaiCapable.inc"
        #include "nonFShbCapable.inc"
};

#endif
